#
# spec file for package deepin-music-player
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013-2015 Hillwood Yang <hillwood@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           deepin-music-player
Version:        2.90.0+git20150617.bb7889c
Release:        8.3
Summary:        Deepin Music Player
License:        GPL-3.0+
Group:          Productivity/Multimedia/Sound/Players
Url:            https://github.com/linuxdeepin/deepin-music
Source:         deepin-music-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  python-devel
BuildRequires:  update-desktop-files
BuildRequires:  hicolor-icon-theme
Requires:       deepin-gsettings
Requires:       deepin-ui
Requires:       gstreamer-0_10-plugins-bad
Requires:       gstreamer-0_10-plugins-good
Requires:       python-CDDB
Requires:       python-chardet
Requires:       python-faulthandler
Requires:       python-gstreamer-0_10
Requires:       python-keybinder
Requires:       python-leveldb
Requires:       python-mutagen
Requires:       python-pycurl
Requires:       python-pyquery
Requires:       python-requests
Requires:       python-scipy
Requires:       python-xlib
Requires:       python-Pillow
Recommends:     %{name}-lang = %{version}
Recommends:     gstreamer-0_10-plugins-ffmpeg
Recommends:     gstreamer-0_10-plugins-ugly
# not currently available on openSUSE
Recommends:     python-mmkeys
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%py_requires

%description
Deepin Music Player with brilliant and tweakful UI Deepin-UI based,
gstreamer front-end, with features likes search music by pinyin,
quanpin, colorful lyrics supports, and more powerful functions
you will found.

%lang_package

%prep
%setup -q -n deepin-music-%{version}

%build
make %{?_smp_mflags}

%install
make install PREFIX=%{buildroot}%{_prefix}

%suse_update_desktop_file -r %{name} Player AudioVideo

# fix symlink
rm -rf %{buildroot}%{_bindir}/%{name}
ln -sf %{_datadir}/deepin-music/src/main.py %{buildroot}%{_bindir}/%{name}

find %{buildroot} -name "*~" -delete -print

%find_lang %{name}

%fdupes %{buildroot}

%post
%icon_theme_cache_post

%postun
%icon_theme_cache_postun

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/deepin-music
%{_datadir}/icons/hicolor/*/apps/%{name}.*

%files lang -f %{name}.lang
%defattr(-,root,root,-)

%changelog
* Thu Nov 12 2015 hillwood@linuxfans.org
- Fix boo#954761
  * add python-Pillow as Requires.
- Add %%icon_theme_cache_post / %%icon_theme_cache_postun macro.
* Thu Jul 16 2015 i@marguerite.su
- update verison 2.90.0+git20150617.bb7889c
  * no upstream changelog
- clean specfile
  * upstream url: github.com/linuxdeepin/deepin-music
  * use upstream source instead of deepin distro's
  * avoid holding /usr/share/icons/hicolor
  * other minor fixes
* Tue Feb 17 2015 hillwood@linuxfans.org
- Update to 2.0git20150204.
  * add installation script
- remove deepin-music-player.desktop and deepin-music-player.png,
  upstream have included it.
* Sun Jul  6 2014 hillwood@linuxfans.org
- Add python-gstreamer-0_10 as Requires.
* Mon May 26 2014 hillwood@linuxfans.org
- Update to 2.0git20140505.
  Feature update.
* Thu Aug 15 2013 hillwood@linuxfans.org
- add deepin-gsettings as Requires
* Wed Aug 14 2013 hillwood@linuxfans.org
- update to 2.0git20130802
  * upsteam did not provide changlog
* Mon Apr 29 2013 hillwood@linuxfans.org
- update to 1.0.1git20130330(2.0 Alpha)
  * fix bugs
* Tue Mar 19 2013 douglarek@outlook.com
- Bug fix
  * fix bnc#808258
* Sun Feb 24 2013 kaji331@hotmail.com
- fix require python-cddb to python-CDDB
* Wed Feb  6 2013 hillwood@linuxfans.org
- update to 1.0.1git20130125(2.0 Alpha)
  * add plugins support
  * add mini mode
  * more media formats support
* Tue Jan  8 2013 douglarek@outlook.com
- Add runtime dependence: python-gtk
* Wed Sep 26 2012 hillwood@linuxfans.org
- update to 1.0.1git20120911
- fix bnc#778659
- more changlog please see http://goo.gl/WCVGo
* Tue Sep  4 2012 hillwood@linuxfans.org
- license update: GPL-3.0+
* Tue Sep  4 2012 hillwood@linuxfans.org
- add python-chardet , python-imaging and python-xlib as require
  packages.
* Sun Sep  2 2012 hillwood@linuxfans.org
- Initial package 1.0git20120716
  Init.
  Implement logging to tracking events that happen.
  Implement a basic configuration.
  Use listen-music-player play kernel, and thank him for his.
  Determine the Audio file type is supported.
  Add Universal encoding detector of the chardet.
